View Issue Details

IDProjectCategoryView StatusLast Update
0029098LazarusIDEpublic2016-11-27 19:55
ReporterAndre TampubolonAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformX86OSWindows 10OS Version10.0.10586
Product Version1.5 (SVN)Product Build 
Target Version1.6Fixed in Version1.6 
Summary0029098: Cannot run Lazarus: access violation
DescriptionCannot run the latest Lazarus (from SVN):
Access violation
Press OK to ignore and risk data corruption
Press Cancel to kill the program
Steps To Reproduce1. Grab the latest version. Mine is:
URL: http://svn.freepascal.org/svn/lazarus/trunk
Relative URL: ^/trunk
Repository Root: http://svn.freepascal.org/svn/lazarus
Repository UUID: 4005530d-fff6-0310-9dd1-cebe43e6787f
Revision: 50510
Node Kind: directory
Schedule: normal
Last Changed Author: ondrej
Last Changed Rev: 50510
Last Changed Date: 2015-11-27 03:12:12 +0700 (Fri, 27 Nov 2015)

2. cd to lazarus svn directory

3. Compile it with FPC 3.0.0 (the latest stable version):
make LAZARUS_INSTALL_DIR=C:\lazarus NOGDB=1
make install LAZARUS_INSTALL_DIR=C:\lazarus NOGDB=1

4. cd C:\lazarus
5. run lazarus.exe or startlazarus.exe. It will crash
TagsNo tags attached.
Fixed in Revisionr50519
LazTarget1.6
WidgetsetWin32/Win64
Attached Files

Activities

Bart Broersma

2015-11-27 10:31

developer   ~0087637

Can you provide a backtrace?

Andre Tampubolon

2015-11-28 04:41

reporter   ~0087653

Something like this?

1. Rebuild lazarus without "NOGDB=1"
2. gdb lazarus.exe

C:\Lazarus>gdb lazarus.exe
GNU gdb (GDB) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "mingw32".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from C:\Lazarus/lazarus.exe...done.
(gdb) run
Starting program: C:\Lazarus/lazarus.exe
[New Thread 7812.0x1a0c]
[New Thread 7812.0x1cd0]
[New Thread 7812.0x17d4]
[New Thread 7812.0x1ff4]

Program received signal SIGSEGV, Segmentation fault.
0x004b129b in EXPANDFILENAMEUTF8 (FILENAME=0xf9e537c 'C:', BASEDIR=0x117c2ab4 'C:\lazarus\', result=0x0) at winlazfileutils.inc:931
931 if (Fn[1] = DirectorySeparator) then Delete(Fn,1,1);
(gdb) backtrace
#0 0x004b129b in EXPANDFILENAMEUTF8 (FILENAME=0xf9e537c 'C:', BASEDIR=0x117c2ab4 'C:\lazarus\', result=0x0) at winlazfileutils.inc:931
0000001 0x004b26c2 in TRIMANDEXPANDDIRECTORY (FILENAME=0xf9e537c 'C:', BASEDIR=0x117c2ab4 'C:\lazarus\', result=0xf9e537c 'C:') at lazfileutils.pas:694
0000002 0x008750a7 in TENVIRONMENTOPTIONS__GETPARSEDVALUE (O=EOPFPCSOURCEDIRECTORY, this=<error reading variable>, result=0x0) at environmentopts.pp:2335
0000003 0x00874ce1 in TENVIRONMENTOPTIONS__GETPARSEDFPCSOURCEDIRECTORY (FPCVER=0x0, this=<error reading variable>, result=0x0) at environmentopts.pp:2273
0000004 0x008c0b3f in CHECK (DIR=0xf9e537c 'C:', LIST=0x11ac4548, parentfp=0xb49fccc) at initialsetupproc.pas:693
0000005 0x008c092a in SEARCHFPCSRCDIRCANDIDATES (STOPIFFITS=false, FPCVER=0x11752aac '3.0.0') at initialsetupproc.pas:733
0000006 0x008bccea in TINITIALSETUPDIALOG__UPDATEFPCSRCDIRCANDIDATES (this=<error reading variable>) at initialsetupdlgs.pas:859
0000007 0x008be4d3 in TINITIALSETUPDIALOG__INIT (this=<error reading variable>) at initialsetupdlgs.pas:1262
0000008 0x008bade6 in SHOWINITIALSETUPDIALOG () at initialsetupdlgs.pas:335
0000009 0x004438d0 in TMAINIDE__SETUPINTERACTIVE (this=<error reading variable>) at main.pp:1404
0000010 0x00443b1a in TMAINIDE__CREATE (THEOWNER=0xb640518, vmt=0x1, this=<error reading variable>) at main.pp:1467
0000011 0x0040314e in main () at lazarus.pp:128
(gdb)

Bart Broersma

2015-11-28 16:49

developer   ~0087663

Thanks for the backtrace.
Please test and close if OK.

Andre Tampubolon

2015-12-02 02:44

reporter   ~0087726

Yep, now lazarus built from SVN runs fine :)

Issue History

Date Modified Username Field Change
2015-11-27 05:43 Andre Tampubolon New Issue
2015-11-27 10:31 Bart Broersma Note Added: 0087637
2015-11-27 15:33 Bart Broersma LazTarget => -
2015-11-27 15:33 Bart Broersma Status new => feedback
2015-11-28 04:41 Andre Tampubolon Note Added: 0087653
2015-11-28 04:41 Andre Tampubolon Status feedback => new
2015-11-28 16:46 Bart Broersma Assigned To => Bart Broersma
2015-11-28 16:46 Bart Broersma Status new => assigned
2015-11-28 16:49 Bart Broersma Fixed in Revision => r50519
2015-11-28 16:49 Bart Broersma LazTarget - => 1.4.6
2015-11-28 16:49 Bart Broersma Note Added: 0087663
2015-11-28 16:49 Bart Broersma Status assigned => resolved
2015-11-28 16:49 Bart Broersma Fixed in Version => 1.4.6
2015-11-28 16:49 Bart Broersma Resolution open => fixed
2015-11-28 16:49 Bart Broersma Target Version => 1.4.6
2015-12-02 02:44 Andre Tampubolon Note Added: 0087726
2015-12-02 02:44 Andre Tampubolon Status resolved => closed
2016-11-27 19:55 Bart Broersma LazTarget 1.4.6 => 1.6
2016-11-27 19:55 Bart Broersma Status closed => assigned
2016-11-27 19:55 Bart Broersma Resolution fixed => reopened
2016-11-27 19:55 Bart Broersma Target Version 1.4.6 => 1.6
2016-11-27 19:55 Bart Broersma Status assigned => resolved
2016-11-27 19:55 Bart Broersma Resolution reopened => fixed
2016-11-27 19:55 Bart Broersma Status resolved => closed
2016-11-27 19:55 Bart Broersma Fixed in Version 1.4.6 => 1.6